{
    "eslint.alwaysShowStatus": true,
    "tslint.autoFixOnSave": true,
    "editor.formatOnSave": true,
    "editor.formatOnPaste": true,
    "editor.defaultFormatter": "esbenp.prettier-vscode",
    "[markdown]": {
        "editor.wordWrap": "on",
        "editor.defaultFormatter": "vscode.markdown-language-features"
    },
    "[typescriptreact]": {
        "editor.defaultFormatter": "esbenp.prettier-vscode"
    },
    "liveServer.settings.root": "/dist",
    "liveServer.settings.file": "spa.html",
    "liveServer.settings.port": 5502,
    "liveServer.settings.proxy": {
        "enable": true,
        "baseUri": "/api",
        "proxyUri": "http://127.0.0.1:8080/api/v1/_/__NAMESPACE__"
    },
    "extensions.ignoreRecommendations": true,
    "files.autoSave": "off",
    "typescript.tsc.autoDetect": "off",
    "npm.autoDetect": "off",
    "debug.allowBreakpointsEverywhere": true,
    "html.autoClosingTags": false,
    "yaml.schemas": {
        "node_modules/tibi-types/schemas/api-config/config.json": "api/config.y*ml",
        "node_modules/tibi-types/schemas/api-config/collection.json": "api/collections/*.y*ml",
        "node_modules/tibi-types/schemas/api-config/field.json": "api/collections/fields/*.y*ml"
    },
    "yaml.customTags": ["!include scalar"]
}
